/*
 * Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { ComponentFixture, TestBed, waitForAsync } from '@angular/core/testing';
import { MatDialogModule } from '@angular/material/dialog';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatSlideToggleModule } from '@angular/material/slide-toggle';
import { NoopAnimationsModule } from '@angular/platform-browser/animations';
import { RouterTestingModule } from '@angular/router/testing';
import { BCI_SHARED_INTL_PROVIDER, BciSharedModule, ModalWindowService } from '@bci-web-core/core';
import { UserService } from '../../../shared/user-service.service';
import { MdTilesDemoComponent } from './md-tiles-demo.component';
import { of } from 'rxjs';

describe('MdTilesDemoComponent', () => {
  let component: MdTilesDemoComponent;
  let fixture: ComponentFixture<MdTilesDemoComponent>;

  beforeEach(
    waitForAsync(() => {
      TestBed.configureTestingModule({
        imports: [
          BciSharedModule,
          RouterTestingModule,
          MatSlideToggleModule,
          MatDialogModule,
          MatFormFieldModule,
          NoopAnimationsModule,
        ],
        declarations: [MdTilesDemoComponent],
        providers: [UserService, ModalWindowService, BCI_SHARED_INTL_PROVIDER],
      }).compileComponents();
    })
  );

  beforeEach(() => {
    fixture = TestBed.createComponent(MdTilesDemoComponent);
    // eslint-disable-next-line no-empty-function
    fixture.componentInstance.userService = { items: of([]), queryAll: () => {} } as UserService;
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
